%bcond_with marble_python

%define rel 1
%define subrel 1

Name: marble
Summary: A virtual globe and world atlas
Version: 4.8.5
Release: %mkrel %{rel}
Group: Education 
License: LGPLv2
URL: http://www.kde.org/applications/education/marble/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%version.tar.xz

BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(libgps)
BuildRequires: pkgconfig(QtLocation)
%if %with marble_python
BuildRequires: python-devel
BuildRequires: python-qt4-devel
%endif
BuildRequires: qt-mobility-devel

Requires: libkdeedu-common
Requires: marble-common
Suggests: marble-handbook

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

%description
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files
%_kde_bindir/marble
%_kde_bindir/marble-touch
%_kde_bindir/tilecreator
%_kde_bindir/routing-instructions
%_kde_iconsdir/*/*/apps/marble.*
%_kde_libdir/kde4/plasma_runner_marble.so
%_kde_datadir/applications/kde4/marble.desktop
%_kde_services/plasma-runner-marble.desktop

#------------------------------------------------------------------------------

%package handbook
Summary: Marble handbook
Conflicts: marble < 4.7.1
Requires:  marble >= %{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description handbook
This package provides marble Handbook

%files handbook
%doc  LICENSE.txt ChangeLog BUGS USECASES MANIFESTO.txt
%doc %_kde_docdir/HTML/en/marble

#------------------------------------------------------------------------------

%define marblewidget_major 13
%define libmarblewidget %mklibname marblewidget %{marblewidget_major}

%package -n %libmarblewidget
Summary: Runtime library for marble
Group: System/Libraries


%description -n %libmarblewidget
Runtime library for marble

%files -n %libmarblewidget
%_kde_libdir/libmarblewidget.so.0.%{marblewidget_major}*
%_kde_libdir/libmarblewidget.so.%{marblewidget_major}

#------------------------------------------------------------------------------

%package common
Summary: A virtual globe and world atlas
Group: Graphical desktop/KDE
%if %with marble_python
Requires: python-qt4
%endif

%description common
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files -n marble-common
%_kde_libdir/kde4/libmarble_part.*
%_kde_datadir/config.kcfg/marble.kcfg
%_kde_services/marble_part.desktop
%_kde_libdir/kde4/plugins/marble
%_kde_appsdir/marble
%if %with marble_python
%py_platsitedir/PyKDE4/marble.so
%endif

#------------------------------------------------------------------------------

%package -n plasma-applet-kworldclock
Summary: plasma kworldclock Applet
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Requires: marble
Provides: plasma-applet

%description -n plasma-applet-kworldclock
plasma kworldclock Applet

%files -n plasma-applet-kworldclock
%_kde_libdir/kde4/plasma_applet_worldclock.so
%_kde_services/plasma-applet-kworldclock.desktop

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: kdelibs4-devel
Requires: %libmarblewidget = %version-%release
Conflicts: kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kde_libdir/libmarblewidget.so
%_includedir/marble
%_kde_appsdir/cmake/modules/FindMarble.cmake

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF \
        %if %without marble_python
        -DEXPERIMENTAL_PYTHON_BINDINGS=FALSE \
        -DBUILD_python=FALSE
        %else
        -DEXPERIMENTAL_PYTHON_BINDINGS=TRUE
        %endif	

%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Mon Aug 06 2012 mikala <mikala> 4.8.5-1.1.mga2
+ Revision: 279102
- Update tarball to KDE SC 4.8.5
- Update tarball to 4.8.4
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228411
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221740
- New upstream tarball

* Sat Jan 21 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 199285
- Use pkgconfig() for BR
- Fix BR for gps
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190952
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186005
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182183
- Update tarball to KDE SC 4.7.90
- Add qt-mobility-devel as BR

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176538
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161408
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151984
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140695
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Remove %%defattr()
- Update tarball to KDE SC 4.7.0
- use pkgconfig()

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122370
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 4.6.90-2.mga2
+ Revision: 115715
- Remove wrong requires
- Fix Licence
- imported package marble

